Package relaxngcc.grammar

# Interface NameClassFunction

All Known Implementing Classes:
  `NameTestBuilder`

public interface NameClassFunction

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Method Summary

Modifier and Type
Method
Description
`Object`
`anyName(NameClass except)`
`Object`
`choice(NameClass nc1, NameClass nc2)`
`Object`
`name(String ns, String local)`
`Object`
`nsName(String ns, NameClass except)`

## Method Details

### choice

Object choice(NameClass nc1, NameClass nc2)

### nsName

Object nsName(String ns, NameClass except)

### anyName

Object anyName(NameClass except)

### name

Object name(String ns, String local)